%define name      fbdesk
%define version   1.4.1
%define release   %mkrel 1
%define title     Fbdesk
%define longtitle Fluxbox-application to create and manage icons on your desktop

Summary:          %longtitle
Name:             %name
Version:          %version
Release:          %release
License:          MIT
Group:            Graphical desktop/Other
URL:              http://fluxbox.sourceforge.net/fbdesk
Source0:          http://fluxbox.sourceforge.net/fbdesk/%{name}-%{version}.tar.bz2
Source1:          %name-icons.tar.bz2
BuildRoot:        %_tmppath/%{name}-%{version}-%{release}-buildroot
Buildrequires:    X11-devel
Buildrequires:    png-devel
Buildrequires:    imlib2-devel

%description
FbDesk is a fluxbox-application to create and manage icons on your desktop.

Implemented Features :

 * XPM and PNG image loading
 * Antialias text
 * UTF-8 and multibyte support
 * Vertical text
 * Grid Snapping
 * GUI for editing command/label and add/remove icons
 * Fluxbox menu style


%prep

%setup -q
%setup -q -T -D -a1

%build
%configure
%make

%install
%__rm -rf %buildroot
%makeinstall

# Menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%name.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/%{name}
Icon=%{name}
Categories=Graphics;2DGraphics;
Name=%{title}
Comment=%{longtitle}
EOF

# icon
%__install -D -m 644 %{name}48.png %buildroot%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot%_miconsdir/%name.png

%__install -d            %buildroot%_datadir/%name
%__install -m 0644 *.png %buildroot%_datadir/%name


%post
%update_menus

%postun
%clean_menus


%clean
rm -rf %buildroot


%files
%defattr(-,root,root)
%doc README
%_bindir/*
%{_datadir}/applications/mandriva-*.desktop

%_miconsdir/*
%_iconsdir/*
%_liconsdir/*
%_datadir/%name/*.png

%dir %_datadir/%name




%changelog
* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.1-1mdv2008.1
+ Revision: 141839
- fix spacing at top of description
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Jérôme Soyer <saispo@mandriva.org>
    - New release
    - import fbdesk


* Sun Apr 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.0-3mdk
- Really fix BuildRequires

* Sun Apr 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.0-2mdk
- Add BuildRequires

* Thu Apr 06 2006 Lenny Cartier <lenny@mandriva.com> 1.4.0-1mdk
- 1.4.0

* Thu Oct 06 2005 Lenny Cartier <lenny@mandriva.com> 1.2.1-1mdk
- 1.2.1

* Wed Jul 14 2004 Michael Scherer <misc@mandrake.org> 1.1.5-2mdk 
- rebuild for new gcc, patch #0

* Sun Oct 19 2003 Han Boetes <han@linux-mandrake.com> 1.1.5-1mdk
- Various Fixes among which the dreaded menu.
  Just that you need to have fluxbox installed :S

* Fri May 23 2003 Han Boetes <han@linux-mandrake.com> 1.1.4-2mdk
- Added dir entry to make distriblint happy

* Mon May 19 2003 Han Boetes <han@linux-mandrake.com> 1.1.4-1mdk
- New release.

* Thu Jan 30 2003 Han Boetes <han@linux-mandrake.com> 1.1.3-1mdk
- Bump. bugfix-release.

* Sun Jan 19 2003 Han Boetes <han@linux-mandrake.com> 1.1.2-1mdk
- Initial release.
